#!/usr/bin/env groovy

def gv

pipeline {
    agent any

    stages {
        stage("init") {
            steps {
                script {
                    gv = load "script.groovy"
                }
            }
        }

        stage("deploy") {
            steps {
                script {
                    echo "run js app"
                    def dockerCmd = 'docker run -p 3080:3080 -d datoxx/my-repo:js-example-1.0'
                    sshagent(['ec2-server-key']) {
                        sh "ssh -o StrictHostKeyChecking=no ec2-user@16.171.24.119 ${dockerCmd}"
                    }
                }
            }
        }
    }   
}
